Bug 471819 - Assertion failed in gdb
Assertion failed in gdb
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
11
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 16:48 EST by Vegard Nossum
Modified: 2009-07-09 05:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: 6.8.50.20090302-31.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-02 01:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Program that crashes gdb (1.37 KB, text/plain)
2008-11-16 16:49 EST, Vegard Nossum
no flags Details

  None (edit)
Description Vegard Nossum 2008-11-16 16:48:17 EST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc9 Firefox/3.0.4

$ gdb ./a.out 
GNU gdb Fedora (6.8-23.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(gdb) run
Starting program: /home/vegard/programming/a.out 
thread_a started
thread_b started
watching /
watching /.bash_history
watching /selinux
watching /.autofsck
watching /var
watching /var/run
[New LWP 8106]
../../gdb/linux-nat.c:1296: internal-error: linux_nat_resume: Assertion `lp != NULL' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) n

../../gdb/linux-nat.c:1296: internal-error: linux_nat_resume: Assertion `lp != NULL' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Create a core file of GDB? (y or n) n
Missing separate debuginfos, use: debuginfo-install glibc.i686
(gdb) 

Reproducible: Always

Steps to Reproduce:
1. gcc -g inotify.c
2. gdb ./a.out
3. (gdb) run
Comment 1 Vegard Nossum 2008-11-16 16:49:13 EST
Created attachment 323728 [details]
Program that crashes gdb
Comment 2 Vegard Nossum 2008-11-16 16:51:18 EST
This may also be found in kernel log. I'm not sure it's really relevant, though.

a.out[7975]: segfault at 819d570 ip 065911c0 sp 0819d574 error 6 in libc-2.8.so[654e000+163000]
a.out[7992]: segfault at 9696500 ip 065911c0 sp 09696504 error 6 in libc-2.8.so[654e000+163000]
a.out[8163]: segfault at 8343330 ip 065911c0 sp 08343334 error 6 in libc-2.8.so[654e000+163000]
a.out[8167]: segfault at 277 ip 065b7b21 sp 09c1ffec error 4 in libc-2.8.so[654e000+163000]
a.out[8170]: segfault at 8877080 ip 065911c0 sp 08877084 error 6 in libc-2.8.so[654e000+163000]
a.out[8173]: segfault at 27d ip 065b7b21 sp 081edfec error 4 in libc-2.8.so[654e000+163000]
a.out[8176]: segfault at 8a9a0f0 ip 065911c0 sp 08a9a0f4 error 6 in libc-2.8.so[654e000+163000]
a.out[8179]: segfault at 8ee6210 ip 065911c0 sp 08ee6214 error 6 in libc-2.8.so[654e000+163000]
a.out[8182]: segfault at 1eb ip 065b7b21 sp 09ea7fec error 4 in libc-2.8.so[654e000+163000]
a.out[8185]: segfault at 9a142c0 ip 065911c0 sp 09a142c4 error 6 in libc-2.8.so[654e000+163000]
Comment 3 Vegard Nossum 2008-11-16 17:08:07 EST
Seems that problem is related to clone() call. I think that ftw() uses more than 4096 bytes of the stack. If I increase this number to 64k, the program does not crash. But I don't know if gdb would still crash if we triggered another segmentation fault that was unrelated to ftw() overflowing the stack..
Comment 4 Bug Zapper 2009-06-09 23:17:21 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tim Scofield 2009-06-26 17:40:34 EDT
Bug still exists on Fedora 11

from dmesg
a.out[8070]: segfault at 5ffad8 ip 00000036e6444cf4 sp 00000000005ffae0 error 6 in libc-2.10.1.so[36e6400000+164000]


gdb -v
GNU gdb (GDB) Fedora (6.8.50.20090302-27.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.

gcc -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --enable-plugin --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-ppl --with-cloog --with-tune=generic --with-arch_32=i586 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.4.0 20090506 (Red Hat 4.4.0-4) (GCC)
Comment 6 Fedora Update System 2009-06-29 06:10:50 EDT
gdb-6.8.50.20090302-31.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdb-6.8.50.20090302-31.fc11
Comment 7 Jan Kratochvil 2009-06-29 06:13:07 EDT
Upstream post:
http://sourceware.org/ml/gdb-patches/2009-06/msg00802.html
Comment 8 Fedora Update System 2009-06-29 16:31:45 EDT
gdb-6.8.50.20090302-32.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdb-6.8.50.20090302-32.fc11
Comment 9 Fedora Update System 2009-06-30 17:24:33 EDT
gdb-6.8.50.20090302-31.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7071
Comment 10 Fedora Update System 2009-07-02 01:44:30 EDT
gdb-6.8.50.20090302-32.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-02 01:48:40 EDT
gdb-6.8.50.20090302-31.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.